package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 问题反馈对象 sys_feedback
 * 
 * @author ruoyi
 * @date 2022-10-21
 */
public class Feedback extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long feedbackId;

    /** 系统档案id */
    @Excel(name = "系统档案id")
    private Long danganId;

    /** 主题 */
    @Excel(name = "主题")
    private String feedbackTheme;

    /** 反馈内容 */
    @Excel(name = "反馈内容")
    private String content;

    private Long userId;
    /** 反馈人姓名 */
    @Excel(name = "反馈人姓名")
    private String userName;

    /** 反馈时间 */
    @Excel(name = "反馈时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date feedbackTime;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    private String fileName;

    private String filePath;

    private String danganName;

    private String deptName;

    public void setFeedbackId(Long feedbackId) 
    {
        this.feedbackId = feedbackId;
    }

    public Long getFeedbackId() 
    {
        return feedbackId;
    }
    public void setDanganId(Long danganId) 
    {
        this.danganId = danganId;
    }

    public Long getDanganId() 
    {
        return danganId;
    }
    public void setFeedbackTheme(String feedbackTheme) 
    {
        this.feedbackTheme = feedbackTheme;
    }

    public String getFeedbackTheme() 
    {
        return feedbackTheme;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    public void setFeedbackTime(Date feedbackTime) 
    {
        this.feedbackTime = feedbackTime;
    }

    public Date getFeedbackTime() 
    {
        return feedbackTime;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDanganName() {
        return danganName;
    }

    public void setDanganName(String danganName) {
        this.danganName = danganName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("feedbackId", getFeedbackId())
            .append("danganId", getDanganId())
            .append("feedbackTheme", getFeedbackTheme())
            .append("content", getContent())
            .append("feedbackTime", getFeedbackTime())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
